MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030895Open CASCADE[OCCT] OCCT:Codingpublic2019-08-13 10:562019-08-17 12:32
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030895: Coding Rules - specify std namespace explicitly for std::cout and streams
DescriptionIt is proposed eliminating usage of "cout", "istream" and other streams without specifying "std::" namespace explicitly.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0008239verifiedbugmaster Foundation Classes - directive "using namespace std" doesn't allow to build application with OCC and other 3rd party libraries 

-  Notes
(0086218)
git (administrator)
2019-08-13 11:11

Branch CR30895 has been created by kgv.

SHA-1: a6308d072f0622c727d959da643f5ce6416f08fa


Detailed log of new commits:

Author: tiv
Date: Fri Aug 2 10:32:16 2019 +0300

    0030895: Coding Rules - specify std namespace explicitly for std::cout and streams
    
    "endl" manipulator for Message_Messenger is renamed to "Message_EndLine".
    
    The following entities from std namespace are now used
    with std:: explicitly specified (from Standard_Stream.hxx):
    std::istream,std::ostream,std::ofstream,std::ifstream,std::fstream,
    std::filebuf,std::streambuf,std::streampos,std::ios,std::cout,std::cerr,
    std::cin,std::endl,std::ends,std::flush,std::setw,std::setprecision,
    std::hex,std::dec.
(0086223)
kgv (developer)
2019-08-13 13:26

Please raise the patch.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30895-CR30895-KGV [^]
(0086234)
bugmaster (administrator)
2019-08-13 19:46

Combination -
OCCT branch : CR30895
master SHA - a6308d072f0622c727d959da643f5ce6416f08fa
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : CR30895 SHA - 6c5e84c652ce1299c2e1c3b2eff1a35443a236a9
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16247.03000000008 / 16274.830000000024 [-0.17%]
Products
Total CPU difference: 10483.480000000058 / 10475.390000000047 [+0.08%]
Windows-64-VC14:
OCCT
Total CPU difference: 17643.71875 / 17627.84375 [+0.09%]
Products
Total CPU difference: 12072.390625 / 11990.921875 [+0.68%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0086301)
git (administrator)
2019-08-17 12:24

Branch CR30895 has been deleted by inv.

SHA-1: a6308d072f0622c727d959da643f5ce6416f08fa

- Related Changesets
occt: master 04232180
Timestamp: 2019-08-02 07:32:16
Author: tiv
Committer: bugmaster
Details ] Diff ]
0030895: Coding Rules - specify std namespace explicitly for std::cout and streams

"endl" manipulator for Message_Messenger is renamed to "Message_EndLine".

The following entities from std namespace are now used
with std:: explicitly specified (from Standard_Stream.hxx):
std::istream,std::ostream,std::ofstream,std::ifstream,std::fstream,
std::filebuf,std::streambuf,std::streampos,std::ios,std::cout,std::cerr,
std::cin,std::endl,std::ends,std::flush,std::setw,std::setprecision,
std::hex,std::dec.
mod - samples/mfc/occtdemo/GeomConstraints/GeomConstraints_Presentation.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeoAlgo_Sol.cxx Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeometryDoc.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeomSources.cpp Diff ] File ]
mod - samples/mfc/standard/02_Modeling/src/ModelingDoc.cpp Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/src/Viewer2dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/TexturesExt_Presentation.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/OcafDoc.cpp Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/TOcafFunction_CutDriver.cxx Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/src/Tesselate_Presentation.cpp Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/src/TriangulationDoc.cpp Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/AnimationDoc.cpp Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/Fonc.cxx Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/WNT/OCCDemoDoc.cpp Diff ] File ]
mod - samples/mfc/standard/Common/ImportExport/ImportExport.cpp Diff ] File ]
mod - samples/mfc/standard/Common/User_Cylinder.cxx Diff ] File ]
mod - samples/mfc/standard/Common/Winmain.cpp Diff ] File ]
mod - samples/ocafsamples/TDataStd_Sample.cxx Diff ] File ]
mod - samples/ocafsamples/TNaming_Sample.cxx Diff ] File ]
mod - samples/ocafsamples/TPrsStd_Sample.cxx Diff ] File ]
mod - samples/qt/FuncDemo/src/mainwindow.cpp Diff ] File ]
mod - samples/qt/Interface/src/Translate.cxx Diff ] File ]
mod - samples/xaml/MainPage.xaml.cpp Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_ApproxAFunc2Var.cxx Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_Context.cxx Diff ] File ]
mod - src/AdvApprox/AdvApprox_ApproxAFunction.cxx Diff ] File ]
mod - src/AdvApprox/AdvApprox_SimpleApprox.cxx Diff ] File ]
mod - src/AIS/AIS_OffsetDimension.cxx Diff ] File ]
mod - src/AppBlend/AppBlend_AppSurf.gxx Diff ] File ]
mod - src/AppDef/AppDef_MultiLine.cxx Diff ] File ]
mod - src/AppDef/AppDef_MultiPointConstraint.cxx Diff ] File ]
mod - src/AppDef/AppDef_Variational.cxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_MultiBSpCurve.cxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_MultiCurve.cxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_MultiPoint.cxx Diff ] File ]
mod - src/Approx/Approx_ComputeLine.gxx Diff ] File ]
mod - src/Approx/Approx_Curve3d.cxx Diff ] File ]
mod - src/Approx/Approx_CurvilinearParameter.cxx Diff ] File ]
mod - src/Approx/Approx_MCurvesToBSpCurve.cxx Diff ] File ]
mod - src/Approx/Approx_SameParameter.cxx Diff ] File ]
mod - src/Approx/Approx_SweepApproximation.cxx Diff ] File ]
mod - src/ApproxInt/ApproxInt_KnotTools.cxx Diff ] File ]
mod - src/ApproxInt/ApproxInt_PrmPrmSvSurfaces.gxx Diff ] File ]
mod - src/BinDrivers/BinDrivers.cxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers.cxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntegerArrayDriver.cxx Diff ] File ]
mod - src/BinMNaming/BinMNaming_NamingDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_LocationDriver.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers.cxx Diff ] File ]
mod - src/BinTools/BinTools.cxx Diff ] File ]
mod - src/BinTools/BinTools_Curve2dSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_CurveSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_LocationSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_ShapeSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_SurfaceSet.cxx Diff ] File ]
mod - src/BinXCAFDrivers/BinXCAFDrivers.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecAna.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecCC.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecPC.cxx Diff ] File ]
mod - src/Bisector/Bisector_PointOnBis.cxx Diff ] File ]
mod - src/BiTgte/BiTgte_Blend.cxx Diff ] File ]
mod - src/Blend/Blend_CSWalking_3.gxx Diff ] File ]
mod - src/Blend/Blend_CSWalking_4.gxx Diff ] File ]
mod - src/Blend/Blend_Walking_3.gxx Diff ] File ]
mod - src/Blend/Blend_Walking_4.gxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_ChAsymInv.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_ConstRad.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_ConstRadInv.cxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_EvolRad.cxx Diff ] File ]
mod - src/Bnd/Bnd_BoundSortBox2d.cxx Diff ] File ]
mod - src/Bnd/Bnd_Box.cxx Diff ] File ]
mod - src/Bnd/Bnd_Box2d.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_CheckCommands.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_BooleanOperation.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_Loop.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_NormalProjection.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_Tool.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_AppFuncRoot.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_RstRstLineBuilder.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_SurfRstConstRad.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_SurfRstEvolRad.cxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_SurfRstLineBuilder.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_FastSewing.cxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Analyzer.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Edge.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Shell.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Wire.cxx Diff ] File ]
mod - src/BRepClass3d/BRepClass3d_SClassifier.cxx Diff ] File ]
mod - src/BRepClass3d/BRepClass3d_SolidExplorer.cxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_DistShapeShape.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_Form.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeCylindricalHole.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeDPrism.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeLinearForm.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakePipe.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakePrism.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeRevol.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeRevolutionForm.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_RibSlot.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_trace.cxx Diff ] File ]
mod - src/BRepFill/BRepFill.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_ApproxSeewing.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Draft.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Evolved.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Filling.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_LocationLaw.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_MultiLine.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_OffsetWire.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_SectionPlacement.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_ShapeLaw.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Sweep.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimEdgeTool.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimSurfaceTool.cxx Diff ] File ]
mod - src/BRepGProp/BRepGProp.cxx Diff ] File ]
mod - src/BRepGProp/BRepGProp_TFunction.cxx Diff ] File ]
mod - src/BRepGProp/BRepGProp_VinertGK.cxx Diff ] File ]
mod - src/BRepLib/BRepLib.cxx Diff ] File ]
mod - src/BRepLib/BRepLib_MakeWire.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DataStructureOfDelaun.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Analyse.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Inter2d.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_MakeOffset.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_MakeOffset_1.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Offset.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeOffset.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_MiddlePath.cxx Diff ] File ]
mod - src/BRepSweep/BRepSweep_Translation.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_BasicCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_ChamferCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_CheckCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_CurveCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_DraftAngleCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_ExtremaCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_FeatureCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_FilletCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_FillingCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_GPropCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_OtherCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_SurfaceCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_SweepCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_TopologyCommands.cxx Diff ] File ]
mod - src/BRepTools/BRepTools.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_Debug.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_Quilt.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_ReShape.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_ShapeSet.cxx Diff ] File ]
mod - src/BRepTopAdaptor/BRepTopAdaptor_FClass2d.cxx Diff ] File ]
mod - src/BRepTopAdaptor/BRepTopAdaptor_Tool.cxx Diff ] File ]
mod - src/BSplCLib/BSplCLib.cxx Diff ] File ]
mod - src/BSplSLib/BSplSLib.cxx Diff ] File ]
mod - src/CDF/CDF_Application.cxx Diff ] File ]
mod - src/CDM/CDM_Document.cxx Diff ] File ]
mod - src/CDM/CDM_MetaData.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_FilletAlgo.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_0.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_1.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_2.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_6.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_C1.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_C2.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_CnCrn.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_SpKP.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_ChBuilder.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_ChBuilder_C3.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_FilBuilder.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_FilBuilder_C3.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_Spine.cxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData_ChAsymPlnCon.cxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData_ChAsymPlnCyl.cxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData_ChPlnCon.cxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData_ChPlnCyl.cxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData_FilPlnCon.cxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData_FilPlnCyl.cxx Diff ] File ]
mod - src/ChFiKPart/ChFiKPart_ComputeData_Sphere.cxx Diff ] File ]
mod - src/Contap/Contap_Contour.cxx Diff ] File ]
mod - src/Contap/Contap_HContTool.cxx Diff ] File ]
mod - src/Convert/Convert_CompBezierCurvesToBSplineCurve.cxx Diff ] File ]
mod - src/DBRep/DBRep.cxx Diff ] File ]
mod - src/DBRep/DBRep_Debug.cxx Diff ] File ]
mod - src/DBRep/DBRep_DrawableShape.cxx Diff ] File ]
mod - src/DBRep/DBRep_IsoBuilder.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_BasicCommands.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_ConstraintCommands.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_DrawDisplayCommands.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_DrawPresentation.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_NameCommands.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_TreeBrowser.cxx Diff ] File ]
mod - src/DDataStd/DDataStd_TreeCommands.cxx Diff ] File ]
mod - src/DDF/DDF.cxx Diff ] File ]
mod - src/DDF/DDF_BasicCommands.cxx Diff ] File ]
mod - src/DDF/DDF_Browser.cxx Diff ] File ]
mod - src/DDF/DDF_BrowserCommands.cxx Diff ] File ]
mod - src/DDF/DDF_Data.cxx Diff ] File ]
mod - src/DDF/DDF_DataCommands.cxx Diff ] File ]
mod - src/DDF/DDF_IOStream.cxx Diff ] File ]
mod - src/DDF/DDF_IOStream.hxx Diff ] File ]
mod - src/DDocStd/DDocStd.cxx Diff ] File ]
mod - src/DDocStd/DDocStd_ApplicationCommands.cxx Diff ] File ]
mod - src/DDocStd/DDocStd_DocumentCommands.cxx Diff ] File ]
mod - src/DDocStd/DDocStd_DrawDocument.cxx Diff ] File ]
mod - src/DDocStd/DDocStd_MTMCommands.cxx Diff ] File ]
mod - src/DNaming/DNaming.cxx Diff ] File ]
mod - src/DNaming/DNaming_BasicCommands.cxx Diff ] File ]
mod - src/DNaming/DNaming_BooleanOperationDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_CylinderDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_FilletDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_Line3DDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_ModelingCommands.cxx Diff ] File ]
mod - src/DNaming/DNaming_PointDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_PrismDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_RevolutionDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_SelectionCommands.cxx Diff ] File ]
mod - src/DNaming/DNaming_SelectionDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_SphereDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_TransformationDriver.cxx Diff ] File ]
mod - src/DPrsStd/DPrsStd.cxx Diff ] File ]
mod - src/DPrsStd/DPrsStd_AISPresentationCommands.cxx Diff ] File ]
mod - src/Draft/Draft_Modification_1.cxx Diff ] File ]
mod - src/Draw/Draw.cxx Diff ] File ]
mod - src/Draw/Draw_Appli.hxx Diff ] File ]
mod - src/Draw/Draw_BasicCommands.cxx Diff ] File ]
mod - src/Draw/Draw_Debug.cxx Diff ] File ]
mod - src/Draw/Draw_GraphicCommands.cxx Diff ] File ]
mod - src/Draw/Draw_Interpretor.cxx Diff ] File ]
mod - src/Draw/Draw_PloadCommands.cxx Diff ] File ]
mod - src/Draw/Draw_ProgressIndicator.cxx Diff ] File ]
mod - src/Draw/Draw_Segment2D.cxx Diff ] File ]
mod - src/Draw/Draw_VariableCommands.cxx Diff ] File ]
mod - src/Draw/Draw_Viewer.cxx Diff ] File ]
mod - src/Draw/Draw_Viewer.hxx Diff ] File ]
mod - src/Draw/Draw_Window.cxx Diff ] File ]
mod - src/DrawDim/DrawDim_PlanarDiameter.cxx Diff ] File ]
mod - src/DrawDim/DrawDim_PlanarDistance.cxx Diff ] File ]
mod - src/DrawDim/DrawDim_PlanarRadius.cxx Diff ] File ]
mod - src/DrawDim/DrawDim_Radius.cxx Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf.cxx Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf_Debug.cxx Diff ] File ]
mod - src/DrawTrSurf/DrawTrSurf_Point.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_OffsetPresentation.cxx Diff ] File ]
mod - src/Extrema/Extrema_FuncExtCS.cxx Diff ] File ]
mod - src/Extrema/Extrema_FuncExtSS.cxx Diff ] File ]
mod - src/FairCurve/FairCurve_Batten.cxx Diff ] File ]
mod - src/FairCurve/FairCurve_Energy.cxx Diff ] File ]
mod - src/FairCurve/FairCurve_MinimalVariation.cxx Diff ] File ]
mod - src/FEmTool/FEmTool_Assembly.cxx Diff ] File ]
mod - src/FEmTool/FEmTool_ProfileMatrix.cxx Diff ] File ]
mod - src/FSD/FSD_CmpFile.cxx Diff ] File ]
mod - src/FSD/FSD_File.cxx Diff ] File ]
mod - src/FSD/FSD_FStream.hxx Diff ] File ]
mod - src/Geom/Geom_OsculatingSurface.cxx Diff ] File ]
mod - src/Geom2dConvert/Geom2dConvert_ApproxCurve.cxx Diff ] File ]
mod - src/Geom2dGcc/Geom2dGcc_FunctionTanCuPnt.cxx Diff ] File ]
mod - src/Geom2dHatch/Geom2dHatch_Elements.cxx Diff ] File ]
mod - src/Geom2dHatch/Geom2dHatch_Hatcher.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert_ApproxCurve.cxx Diff ] File ]
mod - src/GeomConvert/GeomConvert_ApproxSurface.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_APICommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_ConstraintCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_ContinuityCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_CurveCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_CurveTanCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_TestProjCommands.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_CircularBlendFunc.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_ConstantBiNormal.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_ConstrainedFilling.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_CorrectedFrenet.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Darboux.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Frenet.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_FunctionGuide.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_GuideTrihedronAC.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_GuideTrihedronPlan.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_LocationGuide.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_NSections.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Pipe.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_Sweep.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_SweepSectionGenerator.cxx Diff ] File ]
mod - src/GeomLib/GeomLib.cxx Diff ] File ]
mod - src/GeomLib/GeomLib_CheckCurveOnSurface.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_API2dCommands.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_ApproxCommands.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_CurveCommands.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_SurfaceCommands.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_BuildPlateSurface.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_CurveConstraint.cxx Diff ] File ]
mod - src/GeomPlate/GeomPlate_MakeApprox.cxx Diff ] File ]
mod - src/GeomToIGES/GeomToIGES_GeomCurve.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_Curve2dSet.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_CurveSet.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_Debug.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_SurfaceSet.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_UndefinedTypeHandler.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeBoundedCurve.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeConic.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeCurve.cxx Diff ] File ]
mod - src/GeomToStep/GeomToStep_MakeSurface.cxx Diff ] File ]
mod - src/HatchGen/HatchGen_Domain.cxx Diff ] File ]
mod - src/HatchGen/HatchGen_PointOnElement.cxx Diff ] File ]
mod - src/HatchGen/HatchGen_PointOnHatching.cxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyData.cxx Diff ] File ]
mod - src/HLRAlgo/HLRAlgo_PolyInternalData.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_CurveTool.lxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Data.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Hider.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_InternalAlgo.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_PolyAlgo.cxx Diff ] File ]
mod - src/HLRTest/HLRTest.cxx Diff ] File ]
mod - src/HLRTest/HLRTest_DrawablePolyEdgeTool.cxx Diff ] File ]
mod - src/HLRTest/HLRTest_OutLiner.cxx Diff ] File ]
mod - src/HLRTest/HLRTest_Projector.cxx Diff ] File ]
mod - src/HLRTopoBRep/HLRTopoBRep_DSFiller.cxx Diff ] File ]
mod - src/HLRTopoBRep/HLRTopoBRep_FaceIsoLiner.cxx Diff ] File ]
mod - src/IFGraph/IFGraph_SCRoots.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_Activator.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_ContextModif.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_EditForm.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_Editor.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_Functions.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_ModelCopier.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SessionFile.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SessionPilot.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_ShareOutResult.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_SignatureList.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_TransformStandard.cxx Diff ] File ]
mod - src/IFSelect/IFSelect_WorkSession.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolDrilledHole.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolElementResults.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolFiniteElement.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolFlow.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolFlowLineSpec.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolLevelFunction.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolLevelToPWBLayerMap.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolLineWidening.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolNodalConstraint.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolNodalDisplAndRot.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolNodalResults.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolNode.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolPartNumber.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolPinNumber.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolPipingFlow.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolPWBArtworkStackup.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolPWBDrilledHole.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolReferenceDesignator.cxx Diff ] File ]
mod - src/IGESAppli/IGESAppli_ToolRegionRestriction.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolAssocGroupType.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalReferenceFile.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalRefFile.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalRefFileIndex.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalRefFileName.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalRefLibName.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolExternalRefName.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolGroup.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolGroupWithoutBackP.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolHierarchy.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolName.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolOrderedGroup.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolOrderedGroupWithoutBackP.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolSingleParent.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolSingularSubfigure.cxx Diff ] File ]
mod - src/IGESBasic/IGESBasic_ToolSubfigureDef.cxx Diff ] File ]
mod - src/IGESCAFControl/IGESCAFControl_Reader.cxx Diff ] File ]
mod - src/IGESCAFControl/IGESCAFControl_Writer.cxx Diff ] File ]
mod - src/IGESControl/IGESControl_IGESBoundary.cxx Diff ] File ]
mod - src/IGESControl/IGESControl_Reader.cxx Diff ] File ]
mod - src/IGESControl/IGESControl_Writer.cxx Diff ] File ]
mod - src/IGESData/IGESData.cxx Diff ] File ]
mod - src/IGESData/IGESData_BasicEditor.cxx Diff ] File ]
mod - src/IGESData/IGESData_DefaultSpecific.cxx Diff ] File ]
mod - src/IGESData/IGESData_IGESDumper.cxx Diff ] File ]
mod - src/IGESData/IGESData_IGESModel.cxx Diff ] File ]
mod - src/IGESData/IGESData_IGESWriter.cxx Diff ] File ]
mod - src/IGESData/IGESData_ReadWriteModule.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolAssociativityDef.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolAttributeDef.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolAttributeTable.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolGenericData.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolMacroDef.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolTabularData.cxx Diff ] File ]
mod - src/IGESDefs/IGESDefs_ToolUnitsData.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolAngularDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolBasicDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolCenterLine.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolCurveDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolDiameterDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolDimensionDisplayData.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolDimensionedGeometry.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolDimensionTolerance.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolDimensionUnits.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolFlagNote.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolGeneralLabel.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolGeneralNote.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolGeneralSymbol.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolLeaderArrow.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolLinearDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolNewDimensionedGeometry.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolNewGeneralNote.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolOrdinateDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolPointDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolRadiusDimension.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolSection.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolSectionedArea.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_ToolWitnessLine.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolCircArraySubfigure.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolConnectPoint.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolDrawing.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolDrawingWithRotation.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolLabelDisplay.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolNetworkSubfigure.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolNetworkSubfigureDef.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolPerspectiveView.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolPlanar.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolRectArraySubfigure.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolSegmentedViewsVisible.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolView.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolViewsVisible.cxx Diff ] File ]
mod - src/IGESDraw/IGESDraw_ToolViewsVisibleWithAttr.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolBoundary.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolBoundedSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolBSplineCurve.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolBSplineSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolCircularArc.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolCompositeCurve.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolConicArc.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolCopiousData.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolCurveOnSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolDirection.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolFlash.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolLine.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolOffsetCurve.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolOffsetSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolPlane.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolPoint.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolRuledSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolSplineCurve.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolSplineSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolSurfaceOfRevolution.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolTabulatedCylinder.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolTransformationMatrix.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ToolTrimmedSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_TransformationMatrix.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolColor.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolDefinitionLevel.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolDrawingSize.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolDrawingUnits.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolHighLight.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolIntercharacterSpacing.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolLineFontDefPattern.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolLineFontDefTemplate.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolLineFontPredefined.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolNominalSize.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolPick.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolTextDisplayTemplate.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolTextFontDef.cxx Diff ] File ]
mod - src/IGESGraph/IGESGraph_ToolUniformRectGrid.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_Activator.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_CounterOfLevelNumber.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_SelectName.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_SplineToBSpline.cxx Diff ] File ]
mod - src/IGESSelect/IGESSelect_WorkLibrary.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolBlock.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolBooleanTree.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolConeFrustum.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolConicalSurface.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolCylinder.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolCylindricalSurface.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolEdgeList.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolEllipsoid.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolFace.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolLoop.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolManifoldSolid.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolPlaneSurface.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolRightAngularWedge.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSelectedComponent.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolShell.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSolidAssembly.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSolidInstance.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSolidOfLinearExtrusion.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSolidOfRevolution.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSphere.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolSphericalSurface.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolToroidalSurface.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolTorus.cxx Diff ] File ]
mod - src/IGESSolid/IGESSolid_ToolVertexList.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_BasicCurve.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_BasicSurface.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_CurveAndSurface.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_TopoSurface.cxx Diff ] File ]
mod - src/IntAna/IntAna_Curve.cxx Diff ] File ]
mod - src/IntAna/IntAna_IntLinTorus.cxx Diff ] File ]
mod - src/IntAna/IntAna_IntQuadQuad.cxx Diff ] File ]
mod - src/IntAna2d/IntAna2d_AnaIntersection_5.cxx Diff ] File ]
mod - src/IntAna2d/IntAna2d_AnaIntersection_8.cxx Diff ] File ]
mod - src/IntAna2d/IntAna2d_Outils.cxx Diff ] File ]
mod - src/IntCurve/IntCurve_IConicTool.cxx Diff ] File ]
mod - src/IntCurve/IntCurve_IntConicConic.cxx Diff ] File ]
mod - src/IntCurve/IntCurve_IntConicConic_1.cxx Diff ] File ]
mod - src/IntCurve/IntCurve_Polygon2dGen.gxx Diff ] File ]
mod - src/IntCurve/IntCurve_ProjectOnPConicTool.cxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_Inter.gxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_Intersection.cxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_IntersectionPoint.cxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_IntersectionSegment.cxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_Polygon.gxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_PolygonTool.gxx Diff ] File ]
mod - src/Interface/Interface_Check.cxx Diff ] File ]
mod - src/Interface/Interface_CheckIterator.cxx Diff ] File ]
mod - src/Interface/Interface_FileReaderData.cxx Diff ] File ]
mod - src/Interface/Interface_FloatWriter.hxx Diff ] File ]
mod - src/Interface/Interface_MSG.cxx Diff ] File ]
mod - src/Interface/Interface_ShareTool.cxx Diff ] File ]
mod - src/Interface/Interface_Static.cxx Diff ] File ]
mod - src/Intf/Intf_Interference.cxx Diff ] File ]
mod - src/Intf/Intf_SectionLine.cxx Diff ] File ]
mod - src/Intf/Intf_SectionPoint.cxx Diff ] File ]
mod - src/Intf/Intf_TangentZone.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_ALine.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpPrmIntersection.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_InterferencePolyhedron.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_Intersection.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_LineConstructor.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_Point.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_PolyArc.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_Polygo.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_Polyhedron.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_PrmPrmIntersection.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_RLine.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_RstInt.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_SpecialPoints.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_WLine.cxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_SectionLine.cxx Diff ] File ]
mod - src/IntRes2d/IntRes2d_Intersection.cxx Diff ] File ]
mod - src/IntRes2d/IntRes2d_Transition.cxx Diff ] File ]
mod - src/IntRes2d/IntRes2d_Transition.lxx Diff ] File ]
mod - src/IntStart/IntStart_SearchOnBoundaries.gxx Diff ] File ]
mod - src/IntTools/IntTools_FaceFace.cxx Diff ] File ]
mod - src/IntWalk/IntWalk_IWalking_2.gxx Diff ] File ]
mod - src/IntWalk/IntWalk_IWLine.lxx Diff ] File ]
mod - src/IntWalk/IntWalk_PWalking.cxx Diff ] File ]
mod - src/IVtkDraw/IVtkDraw_Interactor.cxx Diff ] File ]
mod - src/LDOM/LDOMBasicString.cxx Diff ] File ]
mod - src/LDOM/LDOMParser.cxx Diff ] File ]
mod - src/LDOM/LDOMParser.hxx Diff ] File ]
mod - src/LDOM/LDOM_BasicNode.cxx Diff ] File ]
mod - src/LDOM/LDOM_MemManager.cxx Diff ] File ]
mod - src/LDOM/LDOM_OSStream.hxx Diff ] File ]
mod - src/LDOM/LDOM_XmlReader.cxx Diff ] File ]
mod - src/LDOM/LDOM_XmlReader.hxx Diff ] File ]
mod - src/LDOM/LDOM_XmlWriter.cxx Diff ] File ]
mod - src/LocalAnalysis/LocalAnalysis.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_BuildShape.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_DPrism.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_FindEdges.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Generator.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_SplitDrafts.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Spliter.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_SplitShape.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_WiresOnShape.cxx Diff ] File ]
mod - src/MAT/MAT_Bisector.cxx Diff ] File ]
mod - src/MAT/MAT_Graph.cxx Diff ] File ]
mod - src/MAT2d/MAT2d_Circuit.cxx Diff ] File ]
mod - src/MAT2d/MAT2d_Connexion.cxx Diff ] File ]
mod - src/MAT2d/MAT2d_Mat2d.cxx Diff ] File ]
mod - src/MAT2d/MAT2d_Tool2d.cxx Diff ] File ]
mod - src/math/math_BissecNewton.cxx Diff ] File ]
mod - src/math/math_BracketedRoot.cxx Diff ] File ]
mod - src/math/math_BracketMinimum.cxx Diff ] File ]
mod - src/math/math_DirectPolynomialRoots.cxx Diff ] File ]
mod - src/math/math_FunctionAllRoots.cxx Diff ] File ]
mod - src/math/math_FunctionRoot.cxx Diff ] File ]
mod - src/math/math_FunctionRoots.cxx Diff ] File ]
mod - src/math/math_FunctionSetRoot.cxx Diff ] File ]
mod - src/math/math_Gauss.cxx Diff ] File ]
mod - src/math/math_GlobOptMin.cxx Diff ] File ]
mod - src/math/math_Jacobi.cxx Diff ] File ]
mod - src/math/math_NewtonMinimum.cxx Diff ] File ]
mod - src/math/math_TrigonometricFunctionRoots.cxx Diff ] File ]
mod - src/math/math_Uzawa.cxx Diff ] File ]
mod - src/MeshTest/MeshTest_CheckTopology.cxx Diff ] File ]
mod - src/MeshTest/MeshTest_Debug.cxx Diff ] File ]
mod - src/MeshTest/MeshTest_PluginCommands.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_Mesh.cxx Diff ] File ]
mod - src/Message/Message.hxx Diff ] File ]
mod - src/Message/Message_Messenger.hxx Diff ] File ]
mod - src/Message/Message_PrinterOStream.cxx Diff ] File ]
mod - src/Message/Message_PrinterOStream.hxx Diff ] File ]
mod - src/MoniTool/MoniTool_Timer.cxx Diff ] File ]
mod - src/MoniTool/MoniTool_TypedValue.cxx Diff ] File ]
mod - src/NCollection/NCollection_BaseMap.cxx Diff ] File ]
mod - src/NCollection/NCollection_UBTreeFiller.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/OSD/OSD_Path.cxx Diff ] File ]
mod - src/OSD/OSD_signal.cxx Diff ] File ]
mod - src/OSD/OSD_Timer.cxx Diff ] File ]
mod - src/PCDM/PCDM_ReadWriter_1.cxx Diff ] File ]
mod - src/PLib/PLib.cxx Diff ] File ]
mod - src/Plugin/Plugin.cxx Diff ] File ]
mod - src/Poly/Poly.cxx Diff ] File ]
mod - src/Poly/Poly_CoherentNode.cxx Diff ] File ]
mod - src/Poly/Poly_MakeLoops.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_CompProjectedCurve.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApprox.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApproxOnPolarSurface.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_PrjFunc.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ProjectOnSurface.cxx Diff ] File ]
mod - src/QABugs/QABugs_1.cxx Diff ] File ]
mod - src/QABugs/QABugs_10.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QABugs/QABugs_13.cxx Diff ] File ]
mod - src/QABugs/QABugs_14.cxx Diff ] File ]
mod - src/QABugs/QABugs_17.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/QABugs/QABugs_20.cxx Diff ] File ]
mod - src/QABugs/QABugs_3.cxx Diff ] File ]
mod - src/QABugs/QABugs_6.cxx Diff ] File ]
mod - src/QADNaming/QADNaming.cxx Diff ] File ]
mod - src/QADNaming/QADNaming_BasicCommands.cxx Diff ] File ]
mod - src/QADNaming/QADNaming_SelectionCommands.cxx Diff ] File ]
mod - src/QADNaming/QADNaming_ToolsCommands.cxx Diff ] File ]
mod - src/QANCollection/QANCollection_Perf.cxx Diff ] File ]
mod - src/QANCollection/QANCollection_Test.cxx Diff ] File ]
mod - src/Quantity/Quantity_Color.cxx Diff ] File ]
mod - src/Resource/Resource_Manager.cxx Diff ] File ]
mod - src/RWHeaderSection/RWHeaderSection_ReadWriteModule.cxx Diff ] File ]
mod - src/RWStepAP214/RWStepAP214_ReadWriteModule.cxx Diff ] File ]
mod - src/RWStepGeom/RWStepGeom_RWBSplineCurveWithKnots.cxx Diff ] File ]
mod - src/RWStepGeom/RWStepGeom_RWBSplineSurfaceWithKnots.cxx Diff ] File ]
mod - src/RWStepGeom/RWStepGeom_RWRationalBSplineCurve.cxx Diff ] File ]
mod - src/RWStepGeom/RWStepGeom_RWRationalBSplineSurface.cxx Diff ] File ]
mod - src/RWStepGeom/RWStepGeom_RWToroidalSurface.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWEdgeCurve.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWEdgeLoop.cxx Diff ] File ]
mod - src/RWStepShape/RWStepShape_RWFaceBound.cxx Diff ] File ]
mod - src/RWStl/RWStl_Reader.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_CheckSmallFace.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Curve.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_Surface.cxx Diff ] File ]
mod - src/ShapeAnalysis/ShapeAnalysis_WireOrder.cxx Diff ] File ]
mod - src/ShapeBuild/ShapeBuild_Edge.cxx Diff ] File ]
mod - src/ShapeBuild/ShapeBuild_ReShape.cxx Diff ] File ]
mod - src/ShapeConstruct/ShapeConstruct.cxx Diff ] File ]
mod - src/ShapeConstruct/ShapeConstruct_Curve.cxx Diff ] File ]
mod - src/ShapeConstruct/ShapeConstruct_ProjectCurveOnSurface.cxx Diff ] File ]
mod - src/ShapeCustom/ShapeCustom_BSplineRestriction.cxx Diff ] File ]
mod - src/ShapeCustom/ShapeCustom_Curve.cxx Diff ] File ]
mod - src/ShapeCustom/ShapeCustom_Surface.cxx Diff ] File ]
mod - src/ShapeExtend/ShapeExtend_ComplexCurve.cxx Diff ] File ]
mod - src/ShapeExtend/ShapeExtend_CompositeSurface.cxx Diff ] File ]
mod - src/ShapeExtend/ShapeExtend_MsgRegistrator.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_ComposeShell.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Edge.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_EdgeProjAux.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Face.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_FaceConnect.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_FixSmallFace.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_IntersectionTool.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Solid.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Wire.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Wireframe.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_WireSegment.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Wire_1.cxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess.cxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess_Context.cxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess_OperLibrary.cxx Diff ] File ]
mod - src/ShapeProcess/ShapeProcess_ShapeContext.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_ClosedFaceDivide.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_ConvertCurve2dToBezier.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_ConvertCurve3dToBezier.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_ConvertSurfaceToBezierBasis.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_FixSmallBezierCurves.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitCurve.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitCurve2d.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitCurve2dContinuity.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitCurve3d.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitCurve3dContinuity.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitSurface.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_SplitSurfaceContinuity.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_WireDivide.cxx Diff ] File ]
mod - src/Standard/Standard_ErrorHandler.cxx Diff ] File ]
mod - src/Standard/Standard_GUID.cxx Diff ] File ]
mod - src/Standard/Standard_Real.cxx Diff ] File ]
mod - src/Standard/Standard_Type.cxx Diff ] File ]
mod - src/StdDrivers/StdDrivers.cxx Diff ] File ]
mod - src/StdLDrivers/StdLDrivers.cxx Diff ] File ]
mod - src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/StdPrs/StdPrs_WFDeflectionRestrictedFace.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepSelectionTool.cxx Diff ] File ]
mod - src/StepAP209/StepAP209_Construct.cxx Diff ] File ]
mod - src/StepBasic/StepBasic_SiUnit.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_Assembly.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_Styles.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_UnitContext.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_ValidationProps.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_ActorRead.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_ActorWrite.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_Reader.cxx Diff ] File ]
mod - src/StepData/StepData_HeaderTool.cxx Diff ] File ]
mod - src/StepData/StepData_StepDumper.cxx Diff ] File ]
mod - src/StepData/StepData_StepModel.cxx Diff ] File ]
mod - src/StepData/StepData_StepReaderData.cxx Diff ] File ]
mod - src/StepData/StepData_StepReaderTool.cxx Diff ] File ]
mod - src/StepData/StepData_StepWriter.cxx Diff ] File ]
mod - src/StepFile/StepFile_Read.cxx Diff ] File ]
mod - src/StepSelect/StepSelect_Activator.cxx Diff ] File ]
mod - src/StepSelect/StepSelect_WorkLibrary.cxx Diff ] File ]
mod - src/STEPSelections/STEPSelections_AssemblyExplorer.cxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedClosedShell.cxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedEdge.cxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedFace.cxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedOpenShell.cxx Diff ] File ]
mod - src/StepShape/StepShape_OrientedPath.cxx Diff ] File ]
mod - src/StepToGeom/StepToGeom.cxx Diff ] File ]
mod - src/StepToGeom/StepToGeom_MakeBSplineCurve.pxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_Builder.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_GeometricTool.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateCompositeCurve.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateEdge.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateEdgeLoop.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateFace.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateShell.cxx Diff ] File ]
mod - src/Storage/Storage_Schema.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeAnalysis.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeExtend.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeFix.cxx Diff ] File ]
mod - src/SWDRAW/SWDRAW_ShapeUpgrade.cxx Diff ] File ]
mod - src/TCollection/TCollection_AsciiString.cxx Diff ] File ]
mod - src/TCollection/TCollection_BasicMap.cxx Diff ] File ]
mod - src/TCollection/TCollection_HExtendedString.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_AsciiString.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ByteArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_DeltaOnModificationOfByteArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_DeltaOnModificationOfExtStringArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_DeltaOnModificationOfIntArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_DeltaOnModificationOfIntPackedMap.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_DeltaOnModificationOfRealArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntPackedMap.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Name.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_TreeNode.cxx Diff ] File ]
mod - src/TDF/TDF_Attribute.cxx Diff ] File ]
mod - src/TDF/TDF_ChildIterator.hxx Diff ] File ]
mod - src/TDF/TDF_CopyLabel.cxx Diff ] File ]
mod - src/TDF/TDF_Data.cxx Diff ] File ]
mod - src/TDF/TDF_DataSet.cxx Diff ] File ]
mod - src/TDF/TDF_Delta.cxx Diff ] File ]
mod - src/TDF/TDF_DeltaOnForget.cxx Diff ] File ]
mod - src/TDF/TDF_DeltaOnResume.cxx Diff ] File ]
mod - src/TDF/TDF_IDFilter.cxx Diff ] File ]
mod - src/TDF/TDF_Label.cxx Diff ] File ]
mod - src/TDF/TDF_RelocationTable.cxx Diff ] File ]
mod - src/TDF/TDF_Tool.cxx Diff ] File ]
mod - src/TDF/TDF_Transaction.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Application.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Application.hxx Diff ] File ]
mod - src/TDocStd/TDocStd_Document.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_MultiTransactionManager.cxx Diff ] File ]
mod - src/TFunction/TFunction_Iterator.cxx Diff ] File ]
mod - src/TFunction/TFunction_Logbook.cxx Diff ] File ]
mod - src/TNaming/TNaming.cxx Diff ] File ]
mod - src/TNaming/TNaming_CopyShape.cxx Diff ] File ]
mod - src/TNaming/TNaming_Identifier.cxx Diff ] File ]
mod - src/TNaming/TNaming_Localizer.cxx Diff ] File ]
mod - src/TNaming/TNaming_Name.cxx Diff ] File ]
mod - src/TNaming/TNaming_NamedShape.cxx Diff ] File ]
mod - src/TNaming/TNaming_Naming.cxx Diff ] File ]
mod - src/TNaming/TNaming_NamingTool.cxx Diff ] File ]
mod - src/TNaming/TNaming_Selector.cxx Diff ] File ]
mod - src/TNaming/TNaming_ShapesSet.cxx Diff ] File ]
mod - src/TNaming/TNaming_Tool.cxx Diff ] File ]
mod - src/TNaming/TNaming_TranslateTool.cxx Diff ] File ]
mod - src/TNaming/TNaming_Translator.cxx Diff ] File ]
mod - src/TNaming/TNaming_UsedShapes.cxx Diff ] File ]
mod - src/TObj/TObj_Persistence.cxx Diff ] File ]
mod - src/TopClass/TopClass_Classifier3d.gxx Diff ] File ]
mod - src/TopClass/TopClass_SolidClassifier.gxx Diff ] File ]
mod - src/TopCnx/TopCnx_EdgeFaceTransition.cxx Diff ] File ]
mod - src/TopLoc/TopLoc_Datum3D.cxx Diff ] File ]
mod - src/TopLoc/TopLoc_Location.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_Builder.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeBrepWithVoids.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeStepEdge.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeStepFace.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_MakeStepWire.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_Tool.cxx Diff ] File ]
mod - src/TopoDSToStep/TopoDSToStep_WireframeBuilder.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_DSFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesIntersector.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FaceEdgeFiller_DEB.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FaceEdgeIntersector.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller_1.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesIntersector.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FFDumper.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Hctxee2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Hctxff2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_LineInter.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_mergePDS.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Point2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_ProcessGR.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_ProcessSectionEdges.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_ShapeIntersector.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_ShapeIntersector2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_ShapeScanner.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_trace.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_traceALWL.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_traceSIFF.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_traceSIFF.hxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_VPointInter.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vpr.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Area1dBuilder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Area2dBuilder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_BuildEdges.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Builder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_BuilderON.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_BuilderON2d.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_BuildFaces.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_CompositeClassifier.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_End.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_FaceBuilder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_fctwes.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_ffsfs.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_ffwesk.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_FREGU.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_FuseFace.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GIter.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Grid.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Griddump.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GridEE.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GridFF.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GridSS.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GTool.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GTopo.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_keep.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_KPart.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_kpkole.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_makeedges.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_makefaces.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_makesolids.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Merge.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Pave.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_PaveClassifier.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_PaveSet.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Section.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_ShapeSet.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_ShellFaceClassifier.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_ShellFaceSet.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_SREGU.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Tools.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_trace.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_WireEdgeSet.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Check.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_connex.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_DRAW.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_HDataStructure.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_TKI.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_2d.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_box.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_BoxSort.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_CLASSI.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_CORRISO.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_CurveTool.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_DRAW.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_faulty.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_FuseEdges.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_GEOMETRY.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_HBoxTool.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_PURGE.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_RegularizeW.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_REGUS.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_REGUW.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_ShapeClassifier.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_ShapeTool.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_STATE.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_TOOL.cxx Diff ] File ]
mod - src/TopTools/TopTools_LocationSet.cxx Diff ] File ]
mod - src/TopTools/TopTools_ShapeSet.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_ConstraintTools.cxx Diff ] File ]
mod - src/TPrsStd/TPrsStd_DriverTable.cxx Diff ] File ]
mod - src/Transfer/Transfer_FinderProcess.cxx Diff ] File ]
mod - src/Transfer/Transfer_TransferProcess.gxx Diff ] File ]
mod - src/Transfer/Transfer_TransientProcess.cxx Diff ] File ]
mod - src/TransferBRep/TransferBRep_Reader.cxx Diff ] File ]
mod - src/Units/Units.cxx Diff ] File ]
mod - src/Units/Units_Dimensions.cxx Diff ] File ]
mod - src/Units/Units_Explorer.cxx Diff ] File ]
mod - src/Units/Units_Lexicon.lxx Diff ] File ]
mod - src/Units/Units_Measurement.cxx Diff ] File ]
mod - src/Units/Units_Quantity.cxx Diff ] File ]
mod - src/Units/Units_Sentence.cxx Diff ] File ]
mod - src/Units/Units_Sentence.lxx Diff ] File ]
mod - src/Units/Units_ShiftedToken.cxx Diff ] File ]
mod - src/Units/Units_ShiftedUnit.cxx Diff ] File ]
mod - src/Units/Units_Token.cxx Diff ] File ]
mod - src/Units/Units_Unit.cxx Diff ] File ]
mod - src/Units/Units_UnitsDictionary.cxx Diff ] File ]
mod - src/Units/Units_UnitsDictionary.lxx Diff ] File ]
mod - src/Units/Units_UnitSentence.cxx Diff ] File ]
mod - src/Units/Units_UnitsLexicon.lxx Diff ] File ]
mod - src/Units/Units_UnitsSystem.cxx Diff ] File ]
mod - src/UnitsAPI/UnitsAPI.cxx Diff ] File ]
mod - src/UnitsMethods/UnitsMethods.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/VrmlAPI/VrmlAPI_Writer.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_Curve.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_DeflectionCurve.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_Projector.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_ShadedShape.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_WFDeflectionRestrictedFace.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_WFDeflectionShape.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_WFRestrictedFace.cxx Diff ] File ]
mod - src/VrmlConverter/VrmlConverter_WFShape.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Group.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Scene.cxx Diff ] File ]
mod - src/VrmlData/VrmlData_Scene.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_GraphNode.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ShapeTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ShapeTool.hxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs.cxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs_Driver.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Props.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Views.cxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ByteArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataXtd/XmlMDataXtd_TriangulationDriver.cxx Diff ] File ]
mod - src/XmlMDF/XmlMDF.cxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming_NamingDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_LocationDriver.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers.cxx Diff ] File ]
mod - src/XmlXCAFDrivers/XmlXCAFDrivers.cxx Diff ] File ]
mod - src/XSAlgo/XSAlgo_AlgoContainer.cxx Diff ] File ]
mod - src/XSControl/XSControl_FuncShape.cxx Diff ] File ]
mod - src/XSControl/XSControl_Functions.cxx Diff ] File ]
mod - src/XSControl/XSControl_Reader.hxx Diff ] File ]
mod - src/XSControl/XSControl_TransferReader.cxx Diff ] File ]
mod - src/XSControl/XSControl_TransferWriter.cxx Diff ] File ]
mod - src/XSControl/XSControl_Utils.cxx Diff ] File ]
mod - src/XSControl/XSControl_WorkSession.cxx Diff ] File ]
mod - src/XSDRAW/XSDRAW.cxx Diff ] File ]
mod - src/XSDRAWIGES/XSDRAWIGES.cxx Diff ] File ]
mod - src/XSDRAWSTEP/XSDRAWSTEP.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.cxx Diff ] File ]
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML_DataSource.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_DumpView.cxx Diff ] File ]
mod - tools/ToolsDraw/ToolsDraw.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-08-13 10:56 kgv New Issue
2019-08-13 10:56 kgv Assigned To => kgv
2019-08-13 10:57 kgv Relationship added related to 0008239
2019-08-13 11:11 git Note Added: 0086218
2019-08-13 13:26 kgv Note Added: 0086223
2019-08-13 13:26 kgv Assigned To kgv => bugmaster
2019-08-13 13:26 kgv Status new => resolved
2019-08-13 13:26 kgv Status resolved => reviewed
2019-08-13 19:46 bugmaster Note Added: 0086234
2019-08-13 19:46 bugmaster Status reviewed => tested
2019-08-15 17:46 bugmaster Test case number => Not required
2019-08-17 12:07 bugmaster Changeset attached => occt master 04232180
2019-08-17 12:07 bugmaster Status tested => verified
2019-08-17 12:07 bugmaster Resolution open => fixed
2019-08-17 12:24 git Note Added: 0086301


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker